#!/bin/sh
#
# Starting with release 1.3 INDI ships libindi and 3rdparty stuff (with nonfree
# BLOBs) in one big tar archive. Thus we have to generate a clean one for
# Fedora containing only the free library itself.

NAME="indi-3rdparty-libraries"
ORIG=indi-3rdparty-$1
NEW=$NAME-$1

echo "Generating clean tar for $NAME"
echo "Unpack original tar"
tar -xzf $ORIG.tar.gz
echo "Building new sources tree"
mkdir $NEW
mv $ORIG/cmake_modules $NEW
mv $ORIG/libapogee $NEW
mv $ORIG/libfli $NEW
mv $ORIG/CMakeLists.txt $NEW
mv $ORIG/LICENSE $NEW
mv $ORIG/README $NEW
mv $ORIG/README.md $NEW
echo "Packing new tar for $NAME"
tar -cJvf $NEW.tar.xz $NEW
echo "Cleaning up"
rm -rf $ORIG
rm -rf $NEW
echo "Done! Generated $NEW.tar.xz"
